View Issue Details

IDProjectCategoryView StatusLast Update
0026932LazarusLazReportpublic2014-10-28 07:39
ReporterRamónAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.2.6Product Build 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0026932: LazReport Templates
DescriptionTemplateDir frDesigner does not work with new report from template
Steps To ReproduceNew report from template, ignores the .lrt files in frDesigner TemplateDir.
TagsNo tags attached.
Fixed in Revision46079, 46692
LazTarget1.4
WidgetsetWin32/Win64
Attached Files

Activities

Jesus Reyes

2014-10-28 07:39

developer   ~0078673

This report was fixed in r46097, this revision is a big patch, so if this needs to be merged, only lazreport/source/lr_newrp.pas (r46097) should be merged to fixes.

Starting at r46692, LazReport will now create the TemplateDir directory if it doesn't exists. This revision can be merged to fixes if needed.

How TemplateDir works is now documented in http://wiki.lazarus.freepascal.org/LazReport_Documentation#Report_Designer

Issue History

Date Modified Username Field Change
2014-10-23 20:04 Ramón New Issue
2014-10-24 04:04 Jesus Reyes Assigned To => Jesus Reyes
2014-10-24 04:04 Jesus Reyes Status new => assigned
2014-10-28 07:39 Jesus Reyes Fixed in Revision => 46079, 46692
2014-10-28 07:39 Jesus Reyes LazTarget => 1.4
2014-10-28 07:39 Jesus Reyes Note Added: 0078673
2014-10-28 07:39 Jesus Reyes Status assigned => resolved
2014-10-28 07:39 Jesus Reyes Fixed in Version => 1.3 (SVN)
2014-10-28 07:39 Jesus Reyes Resolution open => fixed
2014-10-28 07:39 Jesus Reyes Target Version => 1.4